Skip to main content

Python bindings for the YAML version of the Multiscale Modeling and Simulation Language

Project description

Documentation Build Status Build Status Codacy Grade Test Coverage Requirements Status https://zenodo.org/badge/153272345.svg

yMMSL Python bindings

Python bindings for the YAML version of the Multiscale Modeling and Simulation Language.

This package provides a Python library for reading and writing yMMSL files. These files describe multiscale models and/or parameter settings for running such a model. This library is based on YAtiML, a Python library for making libraries for YAML-based file formats like this one.

Documentation

This is an ordinary Python library that can be installed via pip. It requires Python 3.5 or higher. More information is available in the online documentation for ymmsl-python.

Development

This library is developed in its public GitHub repository. If you run into a problem or something is unclear, please file an issue.

Project details


Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Source Distribution

ymmsl-0.11.0.tar.gz (17.3 kB view hashes)

Uploaded source

Built Distribution

ymmsl-0.11.0-py3-none-any.whl (25.5 kB view hashes)

Uploaded py3

Supported by

AWS AWS Cloud computing Datadog Datadog Monitoring Facebook / Instagram Facebook / Instagram PSF Sponsor Fastly Fastly CDN Google Google Object Storage and Download Analytics Huawei Huawei PSF Sponsor Microsoft Microsoft PSF Sponsor NVIDIA NVIDIA PSF Sponsor Pingdom Pingdom Monitoring Salesforce Salesforce PSF Sponsor Sentry Sentry Error logging StatusPage StatusPage Status page